LVREDUCE(8) | System Manager's Manual | LVREDUCE(8)

# NAME

lvreduce - reduce the size of a logical volume

# SYNOPSIS

lvreduce [-A|--autobackup y|n] [-d|--debug] [-f|--force] [-h|-?|--help] {-l|--extents [-]LogicalExtentsNumber[%{VG|LV|FREE}] | -L|--size [-]LogicalVolumeSize[kKmMgGtT]} [-t|--test] [-v|--verbose] LogicalVolume[Path]

# DESCRIPTION

lvreduce allows you to reduce the size of a logical volume. Be careful when reducing a logical volume's size, because data in the reduced part is lost!!!
You should therefore ensure that any filesystem on the volume is resized before running lvreduce so that the extents that are to be removed are not in use.
Shrinking snapshot logical volumes (see lvcreate(8) for information to create snapshots) is supported as well. But to change the number of copies in a mirrored logical volume use lvconvert (8).
Sizes will be rounded if necessary - for example, the volume size must be an exact number of extents and the size of a striped segment must be a multiple of the number of stripes.

# OPTIONS

See lvm for common options.

-f, --force
  Force size reduction without any question.
-l, --extents [-]LogicalExtentsNumber[%{VG|LV|FREE}]
  Reduce or set the logical volume size in units of logical extents. With the - sign the value will be subtracted from the logical volume's actual size and without it the will be taken as an absolute size. The number can also be expressed as a percentage of the total space in the Volume Group with the suffix %VG or relative to the existing size of the Logical Volume with the suffix %LV or as a percentage of the remaining free space in the Volume Group with the suffix %FREE.
-L, --size [-]LogicalVolumeSize[kKmMgGtTpPeE]
  Reduce or set the logical volume size in units of megabyte by default. A size suffix of k for kilobyte, m for megabyte, g for gigabytes, t for terabytes, p for petabytes or e for exabytes is optional. With the - sign the value will be subtracted from the logical volume's actual size and without it it will be taken as an absolute size.

# Example

"lvreduce -l -3 vg00/lvol1" reduces the size of logical volume lvol1 in volume group vg00 by 3 logical extents.

# SEE ALSO

lvchange(8), lvconvert(8), lvcreate(8), lvextend(8), lvm(8), lvresize(8), vgreduce(8)

LVM TOOLS 2.02.44-cvs (02-17-09) | Sistina Software UK